libpqxx: pqxx::connectionpolicy Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
pqxx::connectionpolicy Class Reference
Connection classes

`#include <connectionpolicy.hxx>`

Inheritance diagram for pqxx::connectionpolicy:

## Public Types
typedef internal::pq::PGconn * | handle

## Public Member Functions
| connectionpolicy (const std::string &opts)
virtual | ~connectionpolicy () throw ()
const std::string & | options () const throw ()
virtual handle | do_startconnect (handle orig)
virtual handle | do_completeconnect (handle orig)
virtual handle | do_dropconnect (handle orig) throw ()
virtual handle | do_disconnect (handle orig) throw ()
virtual bool | is_ready (handle) const throw ()

## Protected Member Functions
handle | normalconnect (handle)

## Member Typedef Documentation

typedef internal::pq::PGconn* pqxx::connectionpolicy::handle

## Constructor & Destructor Documentation

pqxx::connectionpolicy::connectionpolicy | ( | const std::string & | opts | ) |
| explicit

pqxx::connectionpolicy::~connectionpolicy | ( |  | ) | throw ()
| virtual

## Member Function Documentation

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_completeconnect | ( | handle | orig | ) |
| virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_lazy.

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_disconnect | ( | handle | orig | ) | throw ()
| virtual

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_dropconnect | ( | handle | orig | ) | throw ()
| virtual

Reimplemented in pqxx::connect_async.

pqxx::connectionpolicy::handle pqxx::connectionpolicy::do_startconnect | ( | handle | orig | ) |
| virtual

Reimplemented in pqxx::connect_async, and pqxx::connect_direct.

bool pqxx::connectionpolicy::is_ready | ( | handle | h | ) | const throw ()
| virtual

Reimplemented in pqxx::connect_async.

pqxx::connectionpolicy::handle pqxx::connectionpolicy::normalconnect | ( | handle | orig | ) |
| protected

const std::string& pqxx::connectionpolicy::options | ( |  | ) | const throw ()

The documentation for this class was generated from the following files:

- connectionpolicy.hxx
- connection.cxx